"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const resourceNotResourceGroup_1 = require("./resourceNotResourceGroup");
class MySqlAzure extends resourceNotResourceGroup_1.default {
    constructor() {
        super(...arguments);
        this.pathToMySqlInitializationScripts = [];
    }
    /**
     * Points to a text file that contains mySQL commands that
     * can be passed to the mySQL client. These commands will
     * be passed to the mySQL instance during deployment.
     * @param scriptPath Either a path relative to the current
     * directory or an absolute path
     */
    addMySqlInitializationScript(scriptPath) {
        this.pathToMySqlInitializationScripts.push(scriptPath);
        return this;
    }
}
exports.default = MySqlAzure;
//# sourceMappingURL=mysql-azure.js.map