"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const CommonUtilities = require("./common-utilities");
const Resource = require("./resource");
const ResourceGroupInfrastructure = require("./resourcegroupInfrastructure");
class ResourceNotResourceGroup extends Resource.Resource {
    static findDefaultResourceGroup(resources) {
        return CommonUtilities.findGlobalDefaultResourceByType(resources, ResourceGroupInfrastructure.ResourceGroupInfrastructure);
    }
    hydrate(resourcesInEnvironment, deploymentType) {
        const _super = name => super[name];
        return __awaiter(this, void 0, void 0, function* () {
            yield _super("hydrate").call(this, resourcesInEnvironment, deploymentType);
            if (this.resourceGroup === undefined) {
                this.resourceGroupProperty =
                    ResourceNotResourceGroup
                        .findDefaultResourceGroup(resourcesInEnvironment);
            }
            return this;
        });
    }
    get resourceGroup() {
        return this.resourceGroupProperty;
    }
    setResourceGroup(resourceGroup) {
        this.resourceGroupProperty = resourceGroup;
        return this;
    }
}
exports.default = ResourceNotResourceGroup;
//# sourceMappingURL=resourceNotResourceGroup.js.map