"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Resource = require("./resource");
class ResourceGroup extends Resource.Resource {
    constructor() {
        super(...arguments);
        this.isGlobalDefaultProperty = false;
    }
    setGlobalDefault(setting) {
        this.isGlobalDefaultProperty = setting;
        return this;
    }
    get isGlobalDefault() {
        return this.isGlobalDefaultProperty;
    }
    setDataCenter(dataCenterName) {
        if ((dataCenterName.replace(/ /g, "") in Resource.DataCenterNames)
            === false) {
            throw new Error(`Submitted data center name ${dataCenterName} is \
not is not in the recognized data center list. Either the name is wrong or \
the list is outdated.`);
        }
        this.dataCenterProperty = dataCenterName;
        return this;
    }
    get dataCenter() {
        return this.dataCenterProperty;
    }
}
exports.default = ResourceGroup;
//# sourceMappingURL=resourcegroup.js.map