"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ServiceEnvironmentUtilities = require("./serviceEnvironmentUtilities");
ServiceEnvironmentUtilities.setProcessEnv();
function getMySqlConnectionObject(mySqlServerName, database) {
    const host = process.env["APPSETTING_" + mySqlServerName +
        ServiceEnvironmentUtilities.resourceHostSuffix];
    const user = process.env["APPSETTING_" + mySqlServerName +
        ServiceEnvironmentUtilities.resourceUserSuffix];
    const password = process.env["APPSETTING_" + mySqlServerName +
        ServiceEnvironmentUtilities.resourcePasswordSuffix];
    if (host === undefined || user === undefined || password === undefined) {
        throw new Error(`Resource ${mySqlServerName} does not exist in environment`);
    }
    const baseConnectionObject = {
        host,
        password,
        port: 3306,
        ssl: {},
        user
    };
    if (database !== undefined) {
        baseConnectionObject.database = database;
    }
    return baseConnectionObject;
}
exports.getMySqlConnectionObject = getMySqlConnectionObject;
//# sourceMappingURL=serviceEnvironment.js.map