"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const Path = require("path");
const CommonUtilities = require("./common-utilities");
exports.environmentFileName = "environmentVariables.txt";
function readEnvironmentVariables() {
    const scratchPath = Path.join(process.cwd(), CommonUtilities.scratchDirectoryName, exports.environmentFileName);
    if (fs.existsSync(scratchPath) === false) {
        return [];
    }
    const result = [];
    const linesOfFile = fs.readFileSync(scratchPath, "utf-8").split("\n");
    for (const line of linesOfFile) {
        const nameValue = line.split(" ");
        if (nameValue.length !== 2) {
            continue;
        }
        result.push({
            name: nameValue[0],
            value: nameValue[1]
        });
    }
    return result;
}
exports.readEnvironmentVariables = readEnvironmentVariables;
function setProcessEnv() {
    const localOverides = readEnvironmentVariables();
    for (const nameValue of localOverides) {
        process.env["APPSETTING_" + nameValue.name] = nameValue.value;
    }
}
exports.setProcessEnv = setProcessEnv;
exports.resourceHostSuffix = "_host";
exports.resourceUserSuffix = "_user";
exports.resourcePasswordSuffix = "_password";
//# sourceMappingURL=serviceEnvironmentUtilities.js.map