"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const commonUtilities = require("../src/common-utilities");
const TestUtilities = require("./testUtilities");
describe("Quick test of string munging", () => {
    beforeEach(function () {
        return __awaiter(this, void 0, void 0, function* () {
            yield TestUtilities.setupMochaTestLogging(this);
        });
    });
    afterEach(() => {
        TestUtilities.tearDownMochaTestLogging();
    });
    it("should munge the URL right", () => {
        const mungedURL = commonUtilities
            .addPasswordToGitURL("http://foo@ick.bar/stuff/net.git", "password");
        chai_1.expect(mungedURL).to.equal("http://foo:password@ick.bar/stuff/net.git");
    });
});
//# sourceMappingURL=common-utilitiesTest.js.map