"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const Path = require("path");
const Winston = require("winston");
exports.testingDirParentPath = Path.join(__dirname, "..", "disposableTestFiles");
function generateLogPath(mochaThis) {
    return Path.join(exports.testingDirParentPath, mochaThis.currentTest.parent.title, mochaThis.currentTest.title);
}
function setupMochaTestLogging(mochaThis, emptyDir = true) {
    return __awaiter(this, void 0, void 0, function* () {
        const testingDirFullPath = generateLogPath(mochaThis);
        if (emptyDir) {
            yield fs.emptyDir(testingDirFullPath);
        }
        const logFilePath = Path.join(testingDirFullPath, "output.log");
        Winston.add(Winston.transports.File, {
            filename: logFilePath,
            level: "silly"
        });
        Winston.remove(Winston.transports.Console);
        Winston.add(Winston.transports.Console, {
            level: "silly",
            stderrLevels: []
        });
        const sleeveCommandLocation = Path.join(testingDirFullPath, "..", "..", "..", "src", "sleeve.cmd");
        return [testingDirFullPath, sleeveCommandLocation];
    });
}
exports.setupMochaTestLogging = setupMochaTestLogging;
function tearDownMochaTestLogging() {
    Winston.remove(Winston.transports.File);
}
exports.tearDownMochaTestLogging = tearDownMochaTestLogging;
//# sourceMappingURL=testUtilities.js.map